Subject: Re: bug#48176: 28.0.50; loadup.el leaves some variables in the lexical environment

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Jul 2022 13:20:56 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> After starting Emacs, some spurious variables like `output' or `success'
>> are bound.  It looks like they come from loadup.el. 
>
> Oh, interesting.  So it's these that are in the lexical environment when
> we're dumping:
>
>     (let ((output (cond ((equal dump-mode "pdump") "emacs.pdmp")
> [...]
>       (let (success)
>         (unwind-protect
>              (let ((tmp-dump-mode dump-mode)
>                    (dump-mode nil))
>                (if (member tmp-dump-mode '("pdump" "pbootstrap"))
>                    (dump-emacs-portable (expand-file-name output invocation-directory))
>                  (dump-emacs output "temacs")

I'm no longer able to reproduce this problem in Emacs 29, so I'm
guessing it's been fixed in the meantime, and I'm closing this bug
report.  (`output' is still bound around the `dump-emacs' call, so it's
not just a variable rename thing.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no